"use strict";
var Connector_1 = require("./Connector");
/**
 * Created by koroandr on 05.09.16.
 */
var Client = (function () {
    function Client(url, connections) {
        if (connections === void 0) { connections = 1; }
        this.connections = connections;
        this.connectors = [];
        this.current_index = 0;
        for (var i = 0; i < connections; i++) {
            this.connectors.push(new Connector_1["default"](url));
        }
    }
    Client.prototype.send = function (method, params, cb) {
        this.connectors[this.current_index++ % this.connections].addRequest(method, params, cb);
    };
    return Client;
}());
exports.Client = Client;
