/**
 * Created by koroandr on 05.09.16.
 */

var gulp = require("gulp");
var ts = require("gulp-typescript");

var tsProject = ts.createProject("tsconfig.json");

gulp.task("ts", function () {
    return tsProject.src()
        .pipe(ts(tsProject))
        .js.pipe(gulp.dest("dist"));
});

gulp.task("join-dts", ['ts'], function () {
    require('dts-generator').default({
        name: 'ws-jsonrpc',
        project: '.',
        out: 'dist/ws-jsonrpc.d.ts',
        outputAsModuleFolder: true
    });
});


gulp.task('default', ['ts']);
